com.holonplatform.vaadin.flow.components.builders

## Interface PropertyInputFormBuilder<C extends com.vaadin.flow.component.Component>

- Type Parameters:
    `C` - Content type
  All Superinterfaces:
    ComponentConfigurator<PropertyInputFormBuilder<C>>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,PropertyInputGroup,PropertyInputFormBuilder<C>>, ComposableConfigurator<C,Input<?>,PropertyInputGroup,PropertyInputFormBuilder<C>>, HasElementConfigurator<PropertyInputFormBuilder<C>>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,PropertyInputGroup,PropertyInputFormBuilder<C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<PropertyInputGroup,PropertyInputFormBuilder<C>>, PropertyFormConfigurator<C,Input<?>,PropertyInputGroup,PropertyInputFormBuilder<C>>, PropertyInputGroupConfigurator<PropertyInputFormBuilder<C>>

      public interface PropertyInputFormBuilder<C extends com.vaadin.flow.component.Component>
      extends PropertyFormConfigurator<C,Input<?>,PropertyInputGroup,PropertyInputFormBuilder<C>>, PropertyInputGroupConfigurator<PropertyInputFormBuilder<C>>

  `PropertyInputForm` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyInputForm` | `build()` Build the `PropertyInputForm`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyFormConfigurator

      `hidePropertyCaption, propertyCaption, propertyCaption, propertyCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComposableConfigurator

      `composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyInputGroupConfigurator

      `bind, bind, bind, bind, bindField, bindField, hidden, readOnly, readOnly, stopGroupValidationAtFirstFailure, stopInputsValidationAtFirstFailure, validateOnValueChange`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### build

          PropertyInputForm build()

      Build the `PropertyInputForm`.
      Returns:
        A new `PropertyInputForm`

Copyright © 2019 The Holon Platform. All rights reserved.